searchData={"items":[{"type":"module","title":"Yex","doc":"Documentation for `Yex`.","ref":"Yex.html"},{"type":"function","title":"Yex.apply_update/2","doc":"Apply a document update on the shared document.","ref":"Yex.html#apply_update/2"},{"type":"function","title":"Examples Sync two clients by exchanging the complete document structure - Yex.apply_update/2","doc":"iex> doc1 = Yex.Doc.new()\n    iex> doc2 = Yex.Doc.new()\n    iex> {:ok, state1} = Yex.encode_state_as_update(doc1)\n    iex> {:ok, state2} = Yex.encode_state_as_update(doc2)\n    iex> Yex.apply_update(doc1, state2)\n    :ok\n    iex> Yex.apply_update(doc2, state1)\n    :ok","ref":"Yex.html#apply_update/2-examples-sync-two-clients-by-exchanging-the-complete-document-structure"},{"type":"function","title":"Yex.encode_state_as_update/2","doc":"Encode the document state as a single update message that can be applied on the remote document. Optionally, specify the target state vector to only write the missing differences to the update message.","ref":"Yex.html#encode_state_as_update/2"},{"type":"function","title":"Examples - Yex.encode_state_as_update/2","doc":"iex> doc = Yex.Doc.new()\n    iex> Yex.encode_state_as_update(doc)\n    {:ok, <<0, 0>>}","ref":"Yex.html#encode_state_as_update/2-examples"},{"type":"function","title":"Yex.encode_state_vector/1","doc":"Computes the state vector and encodes it into an Uint8Array. A state vector describes the state of the local client. The remote client can use this to exchange only the missing differences.","ref":"Yex.html#encode_state_vector/1"},{"type":"function","title":"Examples - Yex.encode_state_vector/1","doc":"iex> doc = Yex.Doc.new()\n    iex> Yex.encode_state_vector(doc)\n    {:ok, <<0>>}","ref":"Yex.html#encode_state_vector/1-examples"},{"type":"module","title":"Yex.Array","doc":"","ref":"Yex.Array.html"},{"type":"function","title":"Yex.Array.delete/2","doc":"","ref":"Yex.Array.html#delete/2"},{"type":"function","title":"Yex.Array.delete_range/3","doc":"","ref":"Yex.Array.html#delete_range/3"},{"type":"function","title":"Yex.Array.get/2","doc":"","ref":"Yex.Array.html#get/2"},{"type":"function","title":"Yex.Array.insert/3","doc":"","ref":"Yex.Array.html#insert/3"},{"type":"function","title":"Yex.Array.length/1","doc":"","ref":"Yex.Array.html#length/1"},{"type":"function","title":"Yex.Array.push/2","doc":"","ref":"Yex.Array.html#push/2"},{"type":"function","title":"Yex.Array.to_json/1","doc":"","ref":"Yex.Array.html#to_json/1"},{"type":"function","title":"Yex.Array.to_list/1","doc":"","ref":"Yex.Array.html#to_list/1"},{"type":"function","title":"Yex.Array.unshift/2","doc":"","ref":"Yex.Array.html#unshift/2"},{"type":"type","title":"Yex.Array.t/0","doc":"","ref":"Yex.Array.html#t:t/0"},{"type":"module","title":"Yex.ArrayPrelim","doc":"","ref":"Yex.ArrayPrelim.html"},{"type":"function","title":"Yex.ArrayPrelim.from/1","doc":"","ref":"Yex.ArrayPrelim.html#from/1"},{"type":"module","title":"Yex.Doc","doc":"","ref":"Yex.Doc.html"},{"type":"function","title":"Yex.Doc.demonitor_update_v1/1","doc":"","ref":"Yex.Doc.html#demonitor_update_v1/1"},{"type":"function","title":"Yex.Doc.get_array/2","doc":"","ref":"Yex.Doc.html#get_array/2"},{"type":"function","title":"Yex.Doc.get_map/2","doc":"","ref":"Yex.Doc.html#get_map/2"},{"type":"function","title":"Yex.Doc.get_text/2","doc":"","ref":"Yex.Doc.html#get_text/2"},{"type":"function","title":"Yex.Doc.get_xml_fragment/2","doc":"","ref":"Yex.Doc.html#get_xml_fragment/2"},{"type":"function","title":"Yex.Doc.monitor_update_v1/1","doc":"","ref":"Yex.Doc.html#monitor_update_v1/1"},{"type":"function","title":"Yex.Doc.new/0","doc":"","ref":"Yex.Doc.html#new/0"},{"type":"function","title":"Yex.Doc.transaction/2","doc":"","ref":"Yex.Doc.html#transaction/2"},{"type":"function","title":"Yex.Doc.transaction/3","doc":"","ref":"Yex.Doc.html#transaction/3"},{"type":"function","title":"Yex.Doc.with_options/1","doc":"","ref":"Yex.Doc.html#with_options/1"},{"type":"type","title":"Yex.Doc.t/0","doc":"","ref":"Yex.Doc.html#t:t/0"},{"type":"module","title":"Yex.Doc.Options","doc":"","ref":"Yex.Doc.Options.html"},{"type":"module","title":"Yex.Map","doc":"","ref":"Yex.Map.html"},{"type":"function","title":"Yex.Map.delete/2","doc":"","ref":"Yex.Map.html#delete/2"},{"type":"function","title":"Yex.Map.get/2","doc":"","ref":"Yex.Map.html#get/2"},{"type":"function","title":"Yex.Map.set/3","doc":"","ref":"Yex.Map.html#set/3"},{"type":"function","title":"Yex.Map.size/1","doc":"","ref":"Yex.Map.html#size/1"},{"type":"function","title":"Yex.Map.to_json/1","doc":"","ref":"Yex.Map.html#to_json/1"},{"type":"function","title":"Yex.Map.to_map/1","doc":"","ref":"Yex.Map.html#to_map/1"},{"type":"type","title":"Yex.Map.t/0","doc":"","ref":"Yex.Map.html#t:t/0"},{"type":"module","title":"Yex.MapPrelim","doc":"","ref":"Yex.MapPrelim.html"},{"type":"function","title":"Yex.MapPrelim.from/1","doc":"","ref":"Yex.MapPrelim.html#from/1"},{"type":"module","title":"Yex.Nif","doc":"","ref":"Yex.Nif.html"},{"type":"function","title":"Yex.Nif.apply_update/2","doc":"","ref":"Yex.Nif.html#apply_update/2"},{"type":"function","title":"Yex.Nif.array_delete_range/3","doc":"","ref":"Yex.Nif.html#array_delete_range/3"},{"type":"function","title":"Yex.Nif.array_get/2","doc":"","ref":"Yex.Nif.html#array_get/2"},{"type":"function","title":"Yex.Nif.array_insert/3","doc":"","ref":"Yex.Nif.html#array_insert/3"},{"type":"function","title":"Yex.Nif.array_length/1","doc":"","ref":"Yex.Nif.html#array_length/1"},{"type":"function","title":"Yex.Nif.array_to_json/1","doc":"","ref":"Yex.Nif.html#array_to_json/1"},{"type":"function","title":"Yex.Nif.array_to_list/1","doc":"","ref":"Yex.Nif.html#array_to_list/1"},{"type":"function","title":"Yex.Nif.doc_begin_transaction/2","doc":"","ref":"Yex.Nif.html#doc_begin_transaction/2"},{"type":"function","title":"Yex.Nif.doc_commit_transaction/1","doc":"","ref":"Yex.Nif.html#doc_commit_transaction/1"},{"type":"function","title":"Yex.Nif.doc_get_or_insert_array/2","doc":"","ref":"Yex.Nif.html#doc_get_or_insert_array/2"},{"type":"function","title":"Yex.Nif.doc_get_or_insert_map/2","doc":"","ref":"Yex.Nif.html#doc_get_or_insert_map/2"},{"type":"function","title":"Yex.Nif.doc_get_or_insert_text/2","doc":"","ref":"Yex.Nif.html#doc_get_or_insert_text/2"},{"type":"function","title":"Yex.Nif.doc_get_or_insert_xml_fragment/2","doc":"","ref":"Yex.Nif.html#doc_get_or_insert_xml_fragment/2"},{"type":"function","title":"Yex.Nif.doc_monitor_update_v1/2","doc":"","ref":"Yex.Nif.html#doc_monitor_update_v1/2"},{"type":"function","title":"Yex.Nif.doc_monitor_update_v2/2","doc":"","ref":"Yex.Nif.html#doc_monitor_update_v2/2"},{"type":"function","title":"Yex.Nif.doc_new/0","doc":"","ref":"Yex.Nif.html#doc_new/0"},{"type":"function","title":"Yex.Nif.doc_with_options/1","doc":"","ref":"Yex.Nif.html#doc_with_options/1"},{"type":"function","title":"Yex.Nif.encode_state_as_update/2","doc":"","ref":"Yex.Nif.html#encode_state_as_update/2"},{"type":"function","title":"Yex.Nif.encode_state_vector/1","doc":"","ref":"Yex.Nif.html#encode_state_vector/1"},{"type":"function","title":"Yex.Nif.map_delete/2","doc":"","ref":"Yex.Nif.html#map_delete/2"},{"type":"function","title":"Yex.Nif.map_get/2","doc":"","ref":"Yex.Nif.html#map_get/2"},{"type":"function","title":"Yex.Nif.map_set/3","doc":"","ref":"Yex.Nif.html#map_set/3"},{"type":"function","title":"Yex.Nif.map_size/1","doc":"","ref":"Yex.Nif.html#map_size/1"},{"type":"function","title":"Yex.Nif.map_to_json/1","doc":"","ref":"Yex.Nif.html#map_to_json/1"},{"type":"function","title":"Yex.Nif.map_to_map/1","doc":"","ref":"Yex.Nif.html#map_to_map/1"},{"type":"function","title":"Yex.Nif.sub_unsubscribe/1","doc":"","ref":"Yex.Nif.html#sub_unsubscribe/1"},{"type":"function","title":"Yex.Nif.text_delete/3","doc":"","ref":"Yex.Nif.html#text_delete/3"},{"type":"function","title":"Yex.Nif.text_format/4","doc":"","ref":"Yex.Nif.html#text_format/4"},{"type":"function","title":"Yex.Nif.text_insert/3","doc":"","ref":"Yex.Nif.html#text_insert/3"},{"type":"function","title":"Yex.Nif.text_insert_with_attributes/4","doc":"","ref":"Yex.Nif.html#text_insert_with_attributes/4"},{"type":"function","title":"Yex.Nif.text_length/1","doc":"","ref":"Yex.Nif.html#text_length/1"},{"type":"function","title":"Yex.Nif.text_to_string/1","doc":"","ref":"Yex.Nif.html#text_to_string/1"},{"type":"module","title":"Yex.Text","doc":"","ref":"Yex.Text.html"},{"type":"function","title":"Yex.Text.apply_delta/2","doc":"","ref":"Yex.Text.html#apply_delta/2"},{"type":"function","title":"Yex.Text.delete/3","doc":"","ref":"Yex.Text.html#delete/3"},{"type":"function","title":"Yex.Text.format/4","doc":"","ref":"Yex.Text.html#format/4"},{"type":"function","title":"Yex.Text.insert/3","doc":"","ref":"Yex.Text.html#insert/3"},{"type":"function","title":"Yex.Text.insert/4","doc":"","ref":"Yex.Text.html#insert/4"},{"type":"function","title":"Yex.Text.length/1","doc":"","ref":"Yex.Text.html#length/1"},{"type":"function","title":"Yex.Text.to_json/1","doc":"","ref":"Yex.Text.html#to_json/1"},{"type":"function","title":"Yex.Text.to_string/1","doc":"","ref":"Yex.Text.html#to_string/1"},{"type":"type","title":"Yex.Text.t/0","doc":"","ref":"Yex.Text.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}